Provide 2 new MongoDB nodes v 3.0 for preproduction environment

Dec 11, 2015 11:02 AM - Roberto Cirillo

Status: Rejected Start date: Dec 11, 2015

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: PreProd Infrastructure   

Infrastructure: Pre-Production   

Description

A new MongoDB cluster is needed for pre production environment.

These new VMs should have the same HW resources of mongoDB production nodes and a storage of 50 GB under the folder /data.

I guess it is possible to use the same ansible playbook.

The new VMs should be named:

mongo1-pre-d4s.d4science.org 

mongo2-pre-d4s.d4science.org

History

#1 - Dec 11, 2015 02:26 PM - Roberto Cirillo

- Related to Task #451: New VO creation for preproduction added

#2 - Dec 11, 2015 04:01 PM - Roberto Cirillo

If possible, I suggest to keep one member in another data center. @paolo.fabriani@eng.it could we have one of this member deployed @ENG ?

If this configuration works in pre production, we could move also a production member @ENG. In this way we have a more protected data if our main

data center fails.

What do you think about it?

#3 - Dec 11, 2015 04:34 PM - Roberto Cirillo

- Related to deleted (Task #451: New VO creation for preproduction)

#5 - Dec 11, 2015 05:08 PM - Paolo Fabriani

It makes perfectly sense to me. However, as anticipated during the November meeting in Athens, Eng will not be able to provide new VMs before next

January (most likely end of), due to a physical migration of the infrastructure to a different site.

#6 - Dec 11, 2015 05:28 PM - Roberto Cirillo

- Tracker changed from Support to Task

#7 - Apr 19, 2017 07:53 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#8 - Apr 19, 2017 07:54 PM - Andrea Dell'Amico

- Status changed from In Progress to Paused

This is a year old. We can pause it for the time being.

#9 - Jul 26, 2018 03:07 PM - Pasquale Pagano

- Status changed from Paused to In Progress

#10 - Jul 26, 2018 03:08 PM - Pasquale Pagano

- Status changed from In Progress to Rejected
